### Method

# Foundry Sdk build_simple

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_sdk_build_simple (
      FoundrySdk* self,
      FoundryBuildPipeline* pipeline,
      const char* const* argv
    )

#### Description [src]

This is a much simplified interface for `foundry_sdk_prepare_to_build()` for consumers that just want to run a simple command and get the stdout output of the command.

Use this when you want to quickly run something like `program --version` when setting up the pipeline.

Available since: 1.1

#### Parameters

`pipeline`

  Type: `FoundryBuildPipeline`

  A `FoundryBuildPipeline`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`argv`

  Type: `const char* const*`

  The arguments to run.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a UTF-8 encoded string or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.